[Solved] What is com.google.android.gms.version?

I am working in a old project which has this snippet to use in google play service:

<meta-data android:name="com.google.android.gms.version"
    android:value="@integer/google_play_services_version" />

I couldn’t find any official documentation about this, I know however that is used in device location and I would like to know what is used for because I am getting an exception and I think it may be related:

[AppCertManager] IOException while requesting key:                                   
java.io.IOException: Invalid device key response.                                                                              
at evk.a(:com.google.android.gms:274)                                                                              
at evk.a(:com.google.android.gms:4238)                                                                              
at evj.a(:com.google.android.gms:45)                                                                              
at evd.a(:com.google.android.gms:50)                                                                              
at evc.a(:com.google.android.gms:104)                                                                              
at com.google.android.gms.auth.account.be.legacy.AuthCronChimeraService.b(:com.google.android.gms:4049)                                                                              
at ecm.call(:com.google.android.gms:2041)                                                                              
at java.util.concurrent.FutureTask.run(FutureTask.java:237)                                                                              
at llt.run(:com.google.android.gms:450)                                                                              
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1113)                                                                              at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:588)                                                                              at lqc.run(:com.google.android.gms:17)                                                                              at java.lang.Thread.run(Thread.java:818)

Cheers!

Enquirer: Josema

||

Solution #1:

That is the Google Play Services Version Number.

This may help you with your error, though I’m not sure of the code that’s throwing it.

Respondent: airowe

The answers/resolutions are collected from stackoverflow, are licensed under cc by-sa 2.5 , cc by-sa 3.0 and cc by-sa 4.0 .

Leave a Reply

Your email address will not be published.